Generation Framework

## org.eclipse.gmf.mappings.impl
Class MappingImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.mappings.impl.MappingImpl

All Implemented Interfaces:
  EObject, InternalEObject, Mapping, Notifier

public class MappingImpl
extends EObjectImpl
implements Mapping

An implementation of the model object 'Mapping'.

The following features are implemented:

- `Nodes`
- `Links`
- `Diagram`
- `Appearance Styles`
- `Audits`
- `Metrics`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EList` `appearanceStyles` The cached value of the '`Appearance Styles`' containment reference list
`protected AuditContainer` `audits` The cached value of the '`Audits`' containment reference
`protected CanvasMapping` `diagram` The cached value of the '`Diagram`' containment reference
`protected EList` `links` The cached value of the '`Links`' containment reference list
`protected MetricContainer` `metrics` The cached value of the '`Metrics`' containment reference
`protected EList` `nodes` The cached value of the '`Nodes`' containment reference list

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `MappingImpl()`

Method Summary
`NotificationChain` `basicSetAudits(AuditContainer newAudits, NotificationChain msgs)`
`NotificationChain` `basicSetDiagram(CanvasMapping newDiagram, NotificationChain msgs)`
`NotificationChain` `basicSetMetrics(MetricContainer newMetrics, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EList` `getAppearanceStyles()`
`AuditContainer` `getAudits()`
`CanvasMapping` `getDiagram()`
`EList` `getLinks()`
`MetricContainer` `getMetrics()`
`EList` `getNodes()`
`void` `setAudits(AuditContainer newAudits)`
`void` `setDiagram(CanvasMapping newDiagram)`
`void` `setMetrics(MetricContainer newMetrics)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### nodes

    protected EList nodes

  The cached value of the '`Nodes`' containment reference list.

  See Also:
    `MappingImpl.getNodes()`
  ** Generated **
  Ordered:

### links

    protected EList links

  The cached value of the '`Links`' containment reference list.

  See Also:
    `MappingImpl.getLinks()`
  ** Generated **
  Ordered:

### diagram

    protected CanvasMapping diagram

  The cached value of the '`Diagram`' containment reference.

  See Also:
    `MappingImpl.getDiagram()`
  ** Generated **
  Ordered:

### appearanceStyles

    protected EList appearanceStyles

  The cached value of the '`Appearance Styles`' containment reference list.

  See Also:
    `MappingImpl.getAppearanceStyles()`
  ** Generated **
  Ordered:

### audits

    protected AuditContainer audits

  The cached value of the '`Audits`' containment reference.

  See Also:
    `MappingImpl.getAudits()`
  ** Generated **
  Ordered:

### metrics

    protected MetricContainer metrics

  The cached value of the '`Metrics`' containment reference.

  See Also:
    `MappingImpl.getMetrics()`
  ** Generated **
  Ordered:

Constructor Detail

### MappingImpl

    protected MappingImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  ** Generated **

### getNodes

    public EList getNodes()

  Specified by:
    `getNodes` in interface `Mapping`
  Returns:
    the value of the 'Nodes' containment reference list.
  See Also:
    `GMFMapPackage.getMapping_Nodes()`
  ** Generated **

### getLinks

    public EList getLinks()

  Specified by:
    `getLinks` in interface `Mapping`
  Returns:
    the value of the 'Links' containment reference list.
  See Also:
    `GMFMapPackage.getMapping_Links()`
  ** Generated **

### getDiagram

    public CanvasMapping getDiagram()

  Specified by:
    `getDiagram` in interface `Mapping`
  Returns:
    the value of the 'Diagram' containment reference.
  See Also:
    `Mapping.setDiagram(CanvasMapping)`, `GMFMapPackage.getMapping_Diagram()`
  ** Generated **

### basicSetDiagram

    public NotificationChain basicSetDiagram(CanvasMapping newDiagram,
                                             NotificationChain msgs)

  ** Generated **

### setDiagram

    public void setDiagram(CanvasMapping newDiagram)

  Specified by:
    `setDiagram` in interface `Mapping`
  Parameters:
    `newDiagram` - the new value of the 'Diagram' containment reference.
  See Also:
    `Mapping.getDiagram()`
  ** Generated **

### getAppearanceStyles

    public EList getAppearanceStyles()

  Specified by:
    `getAppearanceStyles` in interface `Mapping`
  Returns:
    the value of the 'Appearance Styles' containment reference list.
  See Also:
    `GMFMapPackage.getMapping_AppearanceStyles()`
  ** Generated **

### getAudits

    public AuditContainer getAudits()

  Specified by:
    `getAudits` in interface `Mapping`
  Returns:
    the value of the 'Audits' containment reference.
  See Also:
    `Mapping.setAudits(AuditContainer)`, `GMFMapPackage.getMapping_Audits()`
  ** Generated **

### basicSetAudits

    public NotificationChain basicSetAudits(AuditContainer newAudits,
                                            NotificationChain msgs)

  ** Generated **

### setAudits

    public void setAudits(AuditContainer newAudits)

  Specified by:
    `setAudits` in interface `Mapping`
  Parameters:
    `newAudits` - the new value of the 'Audits' containment reference.
  See Also:
    `Mapping.getAudits()`
  ** Generated **

### getMetrics

    public MetricContainer getMetrics()

  Specified by:
    `getMetrics` in interface `Mapping`
  Returns:
    the value of the 'Metrics' containment reference.
  See Also:
    `Mapping.setMetrics(MetricContainer)`, `GMFMapPackage.getMapping_Metrics()`
  ** Generated **

### basicSetMetrics

    public NotificationChain basicSetMetrics(MetricContainer newMetrics,
                                             NotificationChain msgs)

  ** Generated **

### setMetrics

    public void setMetrics(MetricContainer newMetrics)

  Specified by:
    `setMetrics` in interface `Mapping`
  Parameters:
    `newMetrics` - the new value of the 'Metrics' containment reference.
  See Also:
    `Mapping.getMetrics()`
  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.